/************************************************** ARCHIVE BOOKING TOUR **************************************************/
.page-wycieczki {background-color: #FEFBEF;}
.archive-tour-intro {
    height: 100vh;
    display: flex;
    justify-content: center;
}
.archive-tour-intro .wp-block-group__inner-container {height: 100%;}
.archive-tour-intro figure {
    position: absolute;
    bottom: 0;
    width: 100%;
}
.archive-tour-intro figure img {
    width: 100%;
}

.booking-category-block .booking-category-header {
    display: flex;
    border-radius: 50px;
    padding: 50px;
    color: #FEF7D8;
    gap: 30px;
}
.booking-category-header-content,
.booking-category-header-image {flex: 1;}

.booking-category-header-content {
    display: flex;
    flex-direction: column;
    gap:20px;
}
.booking-category-header-content p {font-size: 18px;}

.booking-category-button {
    background-color: var(--orange);
    color:#FEF7D8 !important;
    width: max-content;
    padding: 10px 30px;
    font-size: 30px;
    border-radius: 50px;
}
.booking-category-button i {transform: rotate(45deg);}

.booking-category-header-image img {
    width: 100%;
    border-radius: 20px;
}
.booking-category-block-przygoda-i-gory .booking-category-header {color: black !important;}

.homepage-oferta-desc img {width:100%;}

/************************************************** TEMPLATES: BOOKING ITEM ARCHIVE **************************************************/
.booking-category-tours {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin: 30px 0;
    gap: 30px;
}

.booking-item-archive {
    border-radius: 20px 20px 0 0;
    box-shadow: 5px 5px 20px #f1f1f1;
    overflow: hidden;
	background-color: white;
}

.booking-item-archive-image img {
    width: 100%;
    height: 300px;
    object-fit: cover;
}
.booking-item-archive-content {
    display: flex;
    flex-direction: column;
	justify-content:space-between;
    padding: 20px;
	height:250px;
}
.booking-item-archive-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.booking-item-archive-meta p {font-size: 18px;}
.booking-item-archive-meta, .booking-item-archive-available-days {filter: brightness(0.75);}
.booking-item-archive-category {text-transform: uppercase;}

.booking-item-archive-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.booking-item-archive-price * {color: var(--orange) !important;}


/************************************************** SINGLE BOOKING TOUR **************************************************/
.single-booking-tour {
    background-color: #FEFBEF;
    padding-top: 150px;
}

.single-booking-tour-breadcrumb {
    font-size: 14px;
    
    color: black;
}
.single-booking-tour-breadcrumb span {color: var(--orange);}

.single-booking-tour-images {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 10px;
}
.single-booking-tour-images img {
    width: 100%;
    height: 100%;
    border-radius: 30px;
}
.single-booking-tour-gallery {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.single-booking-tour-images img,
.single-booking-tour-gallery img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.single-booking-tour-metas {
    display: flex;
    justify-content: space-between;
}
.booking-meta-item i {font-size: 24px;}
.booking-meta-item p:first-child {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 5px;
}
.booking-meta-item p{font-size: 18px;}

.single-booking-tour-program .heading4 {
    padding: 10px 20px;
    background-color: var(--orange);
    border-radius: 20px;
    color: var(--light_cream);
    margin-bottom: 20px;
    text-align: center;
}
.single-booking-tour-program ul {
    display: flex;
    flex-direction: column;
}
.single-booking-tour-program li {
    display: flex;
    gap: 50px;
    position: relative;
}
.single-booking-tour-program p {
    border: 1px solid var(--orange);
    border-radius: 20px;
    padding: 20px;
    position: relative;
    width: 100%;
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 20px;
}
.single-booking-tour-program li::before {
    content: "";
    width: 40px;
    height: 40px;
    background-image: url(/wp-content/uploads/2026/02/kaki-icon.png);
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    position: relative;
}
.single-booking-tour-program li::after {
    content: "";
    width: 1px;
    height: 100%;
    position: absolute;
    left: 18px;
    top: 0;
    display: block;
    background-color: var(--orange);
}
.single-booking-tour-program li:last-child:after {content: none;}
.single-booking-tour-program span {
    text-align: center;
    width: 100%;
    font-size: 18px;
    display: block;
}

.single-booking-tour-included,
.single-booking-tour-excluded,
.single-booking-tour-tips,
.single-booking-tour-full-desc {
    border-top: 1px solid #CFD795;
    display: flex;
    padding: 30px 0;
    justify-content: space-between;
}
.single-booking-tour-included li,
.single-booking-tour-excluded li,
.single-booking-tour-tips li {margin-bottom: 10px;}

.single-booking-tour-included ul,
.single-booking-tour-excluded ul,
.single-booking-tour-tips ul {
    width: 50%;
    list-style-position: inside;}

.single-booking-tour-included ul {list-style-image: url(/wp-content/uploads/2026/03/check.png);}
.single-booking-tour-excluded ul {list-style-image: url(/wp-content/uploads/2026/03/excluded.png);}
.single-booking-tour-tips ul {list-style-type: disc;}

.single-booking-tour-full-desc .read-more-btn {
    border: none;
    color: var(--orange);
    background:none;
    padding: 0;
    text-decoration: underline;
    margin-top: 10px;
}
.booking-tour-content-wrapper {width: 50%;}
.booking-tour-content {
    max-height: 150px;
    overflow: hidden;
    transition: max-height 0.3s ease;
}
.booking-tour-content p {font-size: 16px;}
.booking-tour-content ul {
    list-style-type: disc;
    list-style-position: inside;
    font-weight: 300;
    line-height: 130%;
}
.booking-tour-content.expanded {max-height: 100%;}


.booking-tour-form {
    padding: 20px;
    border-radius: 20px;
    background-color: var(--light_cream);
    position: sticky;
    top: 120px;
    margin-bottom: 30px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}
.booking-tour-form-prices {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.booking-price-item p{font-size: 20px;}

.flatpickr-calendar.animate.open.arrowTop.arrowLeft {
    padding: 10px;
    width: max-content;
}
.flatpickr-day {
    color: #777A25;
    background-color: #CFD795;
    border: none;
}
.flatpickr-day.selected,
.flatpickr-day:hover {
    background-color: #777A25 !important;
    border: none !important;
    color: var(--light_cream) !important;
}
.flatpickr-day.flatpickr-disabled {background-color: transparent !important;}
.dayContainer {gap: 2px;}

.booking-discount-info {
    border-radius: 10px;
    background-color:#2e7d32;
    color: white;
    padding: 10px;
}
.booking-discount-info p {font-size:16px;}

.booking-calendar-wrapper input::placeholder {color: black;}
.booking-calendar-wrapper input,
.booking-number-guests .dropdown-guests .dropdown-toggle,
.booking-number-guests .dropdown-menu-guests,
.booking-form-hotels span.select2,
.dropdown-menu-price-summary {
    border-radius: 10px;
    background-color: white !important;
    border: none;
    padding: 10px 10px 10px 50px;
    width: 100%;
    text-align: left;
}
.booking-number-guests .dropdown-menu {
    padding: 20px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.1);
}
.booking-number-guests .dropdown-menu-guests a {
    background-color: var(--orange);
    color: white;
    border-radius: 10px;
    padding: 10px;
    display: block;
    text-align: center;
    cursor: pointer;
}
.guest-number-input {
    border: 1px solid rgb(230, 230, 230);
    border-radius: 10px;
    padding: 10px;
}

.booking-form-hotels .select2-selection {
    border: none;
    display: flex;
    align-items: center;
}
.booking-form-hotels #select2-customer_hotel-container {color: black;}
.booking-form-hotels .select2-selection__arrow {position: relative !important;}
.booking-form-hotels .select2-container--default .select2-selection--single .select2-selection__arrow b {border-color: black transparent transparent transparent;}

.select2 {width: 100% !important;}
.select2-dropdown {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.1);
    border: none;
    border-radius: 10px;
}
.select2-results__option {color: black !important;}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {background-color: #cfd795;}

input#customer_hotel_custom {
    height: 45px;
    width: 100%;
    border: none;
    border-radius: 10px;
    padding: 20px;
	outline:none;
}
input#customer_hotel_custom::placeholder {color:#a6a6a6;}

.booking-total-price .booking-total-price-display{
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #777A25;
    width: max-content;
}

.dropdown-price-summary button {
    border: none;
    background: none;
    text-decoration: underline;
    padding: 10px 0;
}

.dropdown-menu-price-summary * {font-size: 16px;}

.summary-price-total {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #cfd795;
}

.booking-form-submit {
    border: none;
    background-color: var(--orange);
    border-radius: 50px;
    padding: 15px;
    width: 100%;
    color: #F7FFBB;
}

.booking-tour-form ul {
    list-style-image: url(/wp-content/uploads/2026/03/check.png);
    list-style-position: inside;
}
.booking-tour-form ul li {margin-bottom: 10px;}


.booking-calendar-wrapper i,
.dropdown-guests i,
.booking-form-hotels i {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
    color: #CFD795;
    z-index: 9;
    font-size: 20px;
}





.booking-form-client-info form p {font-size:18px;}

.booking-form-client-info .final-submit {
	border-radius:20px;
	border:none;
	background-color:var(--orange);
	color:var(--light_cream);
	padding:10px 30px;
	display:block;
	width:50%;
    float: right;
}
.booking-form-client-info,
.booking-thank-you {
    padding: 150px;
    background-color: #DEE3BB;
}
.booking-summary {gap: 20px;}

.booking-summary-info {
    display: flex;
    gap: 10px;
    flex-direction: column;
}
.booking-summary-info p {font-size: 18px;}

.booking-customer-info .booking-field{
	display:flex;
	flex-direction:column;
	gap:5px;
	width:100%;
}
.booking-fields {
	justify-content:space-between;
	display:flex;
	gap:10px;
	margin-bottom:20px;
}
.booking-field input {
	width:100%;
	border:none;
	border-radius:10px;
	padding:10px;
}

.booking-thank-you p {font-size: 18px;}

.booking-thank-you-order p {font-weight: 500;}

.booking-thank-you-order,
.booking-thank-you-what-now,
.booking-thank-you-albania {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.booking-thank-you-what-now ul {
    list-style-type: disc;
    margin-left: 20px;
}

.booking-thank-you-albania a {color: var(--orange);}


.single-booking-tour .review-item p {font-size: 18px !important;}
.single-booking-tour .review-item .review-email {
	font-weight: 600;
	line-break:anywhere;
}
.single-booking-tour .reviews-section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.booking-tour-form-mobile {display: none;}

#booking-tour-Modal .booking-tour-form {
    position: relative;
    top: 0;
    border-radius: 0;
    margin-bottom: 0;
}

.booking-tour-form-mobile {
    position: sticky;
    bottom: 0;
    padding: 20px;
    z-index: 998;
    background-color: white;
    box-shadow: 4px 4px 4px 5px #0000000D;
}
.booking-tour-form-mobile button {
    border-radius: 50px;
    background-color: var(--orange);
    color: var(--light_cream);
    padding: 10px 30px;
    border: none;
}


.booking-single-related {
	width:90%;
	padding:50px;
	display:block;
	margin:0 auto;
	position:relative;
}
.booking-related-items {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
}


#booking-tour-Modal .modal-footer {
	background-color:var(--light_cream);
}

.booking-tour-terms-agreed {gap:10px;}

#booking-tour-Modal.show {
	display:flex !important;
	justify-content:center;
	height:100vh !important;
}


/************************************************** OPTIMIZATION **************************************************/

@media (max-width: 1600px) {
	.archive-tour-intro figure img {
		height: 100%;
		width: auto;
		display: block;
		margin: 0 auto;
	}
	.archive-tour-intro .wp-block-image {height:100%}
	.archive-tour-intro {padding-top:120px;}
}

@media (max-width: 1200px) {
    .booking-tour-form-mobile {display: block;}
    .booking-tour-form-desktop {display: none;}
}

@media (max-width: 991px) {}

@media (max-width: 768px) {
    .archive-tour-intro {
        padding: 20px 0;
        height: 100%;
    }
    .archive-tour-intro figure {position: relative;}
    .booking-category-block .booking-category-header {
        flex-direction: column;
        padding: 20px;
        border-radius: 0;
    }
    .booking-category-block .booking-category-header p {font-size: 18px;}
    .booking-category-header-image {display: none;}
    .booking-category-tours {grid-template-columns: 1fr;}
	
	.booking-single-related {
		width:100%;
		padding:20px;
	}
	.booking-related-items {grid-template-columns:1fr;}
	
	.booking-form-client-info, .booking-thank-you {padding:20px;}
	.booking-form-client-info .final-submit {
		width: 100%;
		float: unset;
	}
	.booking-form-client-info form,
	.booking-thank-you-order,
	.booking-thank-you-what-now {margin-bottom:50px;}
	.booking-summary {display:block !important;}
	.booking-summary-tour-image img {max-width:100% !important;}
}

@media (max-width: 600px) {
    .single-booking-tour{padding-top: 90px;}
    .single-booking-tour-title-gallery {
        display: flex;
        flex-direction: column-reverse;
    }
    .single-booking-tour-images {
        display: flex;
        flex-direction: column;
    }
    .single-booking-tour-images img {
        border-radius: 15px;
        height: 200px;
    }
    .single-booking-tour-gallery {flex-direction: row;}
    .single-booking-tour-gallery img {
        border-radius: 15px;
        height: 100px;
    }
    .single-booking-tour-metas {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    .booking-meta-item {
        display: flex;
        gap: 40px;
    }
    .booking-meta-item p {font-size: 16px;}
    .single-booking-tour-subtitle h5 {
        font-size: 18px;
        font-weight: 500;
        line-height: 1;
    }
    .single-booking-tour-program li {gap: 20px;}
    .single-booking-tour-included, .single-booking-tour-excluded, .single-booking-tour-tips, .single-booking-tour-full-desc {
        flex-direction: column;
        gap: 20px;
    }
    .single-booking-tour-included ul, .single-booking-tour-excluded ul, .single-booking-tour-tips ul {width: 100%;}
    .booking-tour-content-wrapper {width: 100%;}

    .single-booking-tour .reviews-section-header {
        flex-direction: column;
        gap: 20px;
    }
	
	.page-wycieczki .wp-block-spacer {height:25px !important;}

}
